use crate::error::Error;
use crate::Result;

#[derive(sqlx::FromRow)]
pub struct Artist {
    id: Option<i32>,
    pub handle: String,
    pub name: Option<String>,
    pub bio: Option<String>,
    pub site: Option<String>,
}

impl Artist {
    pub fn id(&self) -> Option<i32> {
        self.id
    }
}
